<?php
/**
 * The template for displaying all single posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Helena
 */

get_header(); ?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main" role="main">

		<?php while ( have_posts() ) : the_post(); ?>

			<?php get_template_part( 'template-parts/content', 'single' ); ?>

			<?php
			$disable_single_post_navigation = apply_filters( 'helena_get_option',  'disable_single_post_navigation' );

			if ( ! $disable_single_post_navigation ) {
					the_post_navigation();
			}
			?>

			<?php
				/**
				 * @hooked helena_get_comment_section - 10
				 */
				do_action( 'helena_comment_section' );
			?>

		<?php endwhile; // End of the loop. ?>

		</main><!-- #main -->
	</div><!-- #primary -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>